#define __internal__

#include <time.h>
#include <pi-macros.h>

struct Addr_List {
  recordid_t id;
  int category, attr;

  int showPhone;
  int phoneLabel[5];

  int size[19];
  char *entry[19];
  struct Addr_List *next;
};

void js_Addr_list_insert(struct Addr_List **l, struct Addr_List *elem);
struct Addr_List *js_Addr_list_lookup(struct Addr_List *l, recordid_t id);
void js_Addr_list_modify(struct Addr_List *dest, struct Addr_List *from);
int js_Addr_list_compare(struct Addr_List *l, struct Addr_List *l1);
void js_Addr_list_remove(struct Addr_List **l, struct Addr_List *elem);
void js_Addr_list_free(struct Addr_List **l);
int js_Addr_list_count(struct Addr_List *l);
__internal__ void SHOW_Addr_LIST(struct Addr_List *l);
