#define __internal__

#include <time.h>
#include <pi-macros.h>

struct Mail_List {
  recordid_t id;
  int category, attr;

  int popid;
  int dated;
  time_t date;

  char *subject, *from, *to, *cc, *bcc, *replyTo, *sentTo, *body;
  struct Mail_List *next;
};

void js_Mail_list_insert(struct Mail_List **l, struct Mail_List *elem);
struct Mail_List *js_Mail_list_lookup(struct Mail_List *l, time_t date);
void js_Mail_list_modify(struct Mail_List *dest, struct Mail_List *from);
int js_Mail_list_compare(struct Mail_List *l, struct Mail_List *l1);
void js_Mail_list_remove(struct Mail_List **l, struct Mail_List *elem);
void js_Mail_list_free(struct Mail_List **l);
int js_Mail_list_count(struct Mail_List *l);
__internal__ void SHOW_Mail_LIST(struct Mail_List *l);
