#define __internal__

#include <time.h>
#include <pi-macros.h>

struct Appointment_List {
  recordid_t id;
  int size, category, attr;
  char *data;
  struct Appointment_List *next;
};

void js_Appointment_list_insert(struct Appointment_List **l, struct Appointment_List *elem);
struct Appointment_List *js_Appointment_list_lookup(struct Appointment_List *l, recordid_t id);
void js_Appointment_list_modify(struct Appointment_List *dest, struct Appointment_List *from);
int js_Appointment_list_compare(struct Appointment_List *l, struct Appointment_List *l1);
void js_Appointment_list_remove(struct Appointment_List **l, struct Appointment_List *elem);
void js_Appointment_list_free(struct Appointment_List **l);
int js_Appointment_list_count(struct Appointment_List *l);
__internal__ void SHOW_Appointment_LIST(struct Appointment_List *l);
