#define __internal__

#include <time.h>
#include <pi-macros.h>

struct Memo_List {
  recordid_t id;
  int size, category, attr;
  char *data;
  struct Memo_List *next;
};

void js_Memo_list_insert(struct Memo_List **l, struct Memo_List *elem);
struct Memo_List *js_Memo_list_lookup(struct Memo_List *l, recordid_t id);
void js_Memo_list_modify(struct Memo_List *dest, struct Memo_List *from);
int js_Memo_list_compare(struct Memo_List *l, struct Memo_List *l1);
void js_Memo_list_remove(struct Memo_List **l, struct Memo_List *elem);
void js_Memo_list_free(struct Memo_List **l);
int js_Memo_list_count(struct Memo_List *l);
__internal__ void SHOW_Memo_LIST(struct Memo_List *l);
