#define __NEW_CONDUIT__
#define __NEW_CONDUIT_HEADER__

#include "MemoSynch.h"
#include "ToDoSynch.h"
#include "AddrSynch.h"
#include "MailSynch.h"
#include "InstallSynch.h"
#include "DatebookSynch.h"
__NEW_CONDUIT_HEADER__
/* Do not change the three first lines in this file (including the blank line)!! */

#define MAX_CONDUITS 40

#ifdef __CALL__
  #undef __CALL__
#endif
#define __CALL__

#ifdef __STATIC__
  #undef __STATIC__
#endif
#define __STATIC__

#ifdef __DYNAMIC__
  #undef __DYNAMIC__
#endif
#define __DYNAMIC__

#include <stdio.h>

char conduitNames[MAX_CONDUITS][80];
int (*conduit_table[MAX_CONDUITS])();

__STATIC__ void init_conduit_table();
__DYNAMIC__ int setup_conduit_table();
__STATIC__ int lookup_conduit_table(char *cname);
