#define __internal__

#include <time.h>
#include <pi-macros.h>

struct ToDo_List {
  recordid_t id;
  int check, category, attr, priority;
  int size_n, size_d;

  char duedate[15];
  char *note;
  char *desc;

  struct ToDo_List *next;
};

void js_ToDo_list_insert(struct ToDo_List **l, struct ToDo_List *elem);
struct ToDo_List *js_ToDo_list_lookup(struct ToDo_List *l, recordid_t id);
void js_ToDo_list_modify(struct ToDo_List *dest, struct ToDo_List *from);
int js_ToDo_list_compare(struct ToDo_List *l, struct ToDo_List *l1);
void js_ToDo_list_remove(struct ToDo_List **l, struct ToDo_List *elem);
void js_ToDo_list_free(struct ToDo_List **l);
int js_ToDo_list_count(struct ToDo_List *l);
__internal__ void SHOW_ToDo_LIST(struct ToDo_List *l);
